package com.bonus.material.user.service;

import com.bonus.common.biz.domain.SysUser;
import com.bonus.common.biz.domain.TreeSelect;
import com.bonus.material.user.entity.UserDto;
import com.bonus.common.biz.domain.SysDept;
import com.bonus.system.api.domain.SysRole;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/12/19 - 14:50
 */
public interface UserService {

    UserDto getUserById(Long userId);

    Integer editUser(UserDto userDto);

    List<TreeSelect> selectDeptTreeList(SysDept dept);

    List<SysRole> selectRoleList(SysRole role);

    List<SysUser> selectUserList(SysUser user);
}
